{
  pkgs,
  lib,
  culr,
  version,
  ...
}:
pkgs.stdenvNoCC.mkDerivation {
  pname = "culr-tests";
  version = "${version}";

  nativebuildInputs = [culr];

  doCheck = true;
  checkPhase = ''
    CULRS="(255,0,0);(0,0,255)"
    CULR_ORDER=1,0
    echo "one two three four" | ${lib.getExe culr}
  '';
}
